# Dell iDRAC6 Java KVM Console

The remote Java KVM console on a Dell R710 server with an enterprise idrac works using the latest version of Java, thanks to MathieuW and the kind people on the below GitHub Gist

https://www.dell.com/community/Systems-Management-General/iDRAC6-Virtual-Console-Connection-Failed/td-p/5144021/page/2

https://gist.github.com/xbb/4fd651c2493ad9284dbcb827dc8886d6

## How to use the iDRAC Java KVM console

1. Download and install the latest java version 8:
https://java.com/en/download/manual.jsp

2. Go to the security directory where you installed java:

```
/Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/lib/security/java.security
```

3. Comment out the line in ../lib/security/java.security:

```
# jdk.tls.disabledAlgorithms=SSLv3, RC4, MD5withRSA, DH keySize < 1024,
```

4. Add the IP address of your iDRAC interface (https://w.x.y.z) to the security tab of the java control pannel, then uncheck the box "Enable Java content for browser and Web Start applications" to prevent java from accessing unsecure internet resources.

5. Run the connect_idrac_kvm.sh script using the IP address and credentials of your iDRAC interface to connect to the network KVM on your Dell Server
